define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'student/exam/index' + location.search,
                    table: 'teacher_exams',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'exam_id',
                sortName: 'exam_id',
                fixedColumns: true,
                fixedRightNumber: 1,
                searchFormVisible:true,
                columns: [
                    [
                        {checkbox: true},
                        {field: 'exam_id', title: __('Exam_id')},
                        {field: 'exam_id', title: __('学员学号')},
                        {field: 'exam_id', title: __('学员姓名')},
                        {field: 'exam_id', title: __('模拟器型号')},
                        {
                            field: 'user_depart_id',
                            title: __('Department'),
                            visible: false,
                            addclass: 'selectpage',
                            extend: 'data-source="department/index/index" data-field="name"',
                            operate: Config.groupIds !=8 ? 'in':false,
                            formatter: Table.api.formatter.search
                        },
                        // {
                        //     field: 'dadmin',
                        //     title: __('Department'),
                        //     formatter: function (value, row, index) {
                        //         if (value.length == 0)
                        //             return '-' ;
                        //         var department="";
                        //         $.each(value,function(i,v){  //arrTmp数组数据
                        //             if (v.department){
                        //                 department+=department?','+v.department.name:v.department.name;
                        //             }
                        //         });
                        //         return  Table.api.formatter.flag.call(this, department, row, index);
                        //     }, operate:false
                        // },
                        {field: 'exam_id', title: __('考试名称')},
                        {field: 'exam_collection_id', title: __('Exam_collection_id')},
                        {field: 'user_id', title: __('User_id')},
                        {field: 'seat_id', title: __('Seat_id')},
                        // {field: 'sim_id', title: __('Sim_id')},
                        {field: 'exam_status', title: __('Exam_status')},
                        {field: 'total_score', title: __('Total_score')},
                        // {field: 'deduction_total_score', title: __('Deduction_total_score')},
                        {field: 'start_time', title: __('Start_time'), operate:'RANGE', addclass:'datetimerange', autocomplete:false},
                        {field: 'end_time', title: __('End_time'), operate:'RANGE', addclass:'datetimerange', autocomplete:false},
                        // {field: 'login_time', title: __('Login_time'), operate:'RANGE', addclass:'datetimerange', autocomplete:false},
                        // {field: 'logout_time', title: __('Logout_time'), operate:'RANGE', addclass:'datetimerange', autocomplete:false},
                        // {field: 'create_by', title: __('Create_by'), operate: 'LIKE'},
                        // {field: 'createtime', title: __('Create_time'), operate:'RANGE', addclass:'datetimerange', autocomplete:false},
                        // {field: 'update_by', title: __('Update_by'), operate: 'LIKE'},
                        // {field: 'update_time', title: __('Update_time'), operate:'RANGE', addclass:'datetimerange', autocomplete:false},
                        // {field: 'remark', title: __('Remark'), operate: 'LIKE', table: table, class: 'autocontent', formatter: Table.api.formatter.content},
                        // {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
